diff --git a/pgweb/misc/forms.py b/pgweb/misc/forms.py
index e327cb9..67e39f7 100644
--- a/pgweb/misc/forms.py
+++ b/pgweb/misc/forms.py
@@ -27,6 +27,10 @@ class SubmitBugForm(forms.Form):
     shortdesc = forms.CharField(max_length=100, required=True,
                                 label="Short description")
     details = forms.CharField(required=True, widget=forms.Textarea)
+    confirm = forms.BooleanField(required=True,
+        label="""I agree that all contents of the bug report, including my
+            personal information as listed, will be posted to the public
+            pgsql-bugs mailing list, and archived in the public list archives.""")
 
     def __init__(self, *args, **kwargs):
         super(SubmitBugForm, self).__init__(*args, **kwargs)
